<?php

namespace App\Models;
use App\User;

use Illuminate\Database\Eloquent\Model;

class Vente extends Model
{
    protected $table = 'vente';
	
	public $timestamps= false;

    protected $fillable = ['num_fac', 'mvb', 'mvc', 'mvd', 'mve', 'mvf', 'mts', 'aib', 'mv', 'display_sig', 'nim', 'qrcode', 'compteur', 'sig', 'type_fac', 'date_mef'];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function ligneventes()
    {
        return $this->hasMany(LigneVente::class, 'vente_id');
    }
}
